Package org.h2.expression

# Enum Class IntervalOperation.IntervalOpType

java.lang.Object
java.lang.Enum<IntervalOperation.IntervalOpType>
org.h2.expression.IntervalOperation.IntervalOpType

All Implemented Interfaces:
  `Serializable`, `Comparable<IntervalOperation.IntervalOpType>`, `Constable`

Enclosing class:
  IntervalOperation

public static enum IntervalOperation.IntervalOpType extends Enum<IntervalOperation.IntervalOpType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DATETIME_MINUS_DATETIME`
Date-time minus date-time.
`DATETIME_MINUS_INTERVAL`
Date-time minus interval.
`DATETIME_PLUS_INTERVAL`
Date-time plus interval.
`INTERVAL_DIVIDE_INTERVAL`
Interval divided by interval (non-standard).
`INTERVAL_DIVIDE_NUMERIC`
Interval divided by numeric.
`INTERVAL_MINUS_INTERVAL`
Interval minus interval.
`INTERVAL_MULTIPLY_NUMERIC`
Interval multiplied by numeric.
`INTERVAL_PLUS_INTERVAL`
Interval plus interval.

## Method Summary

Modifier and Type
Method
Description
`static IntervalOperation.IntervalOpType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IntervalOperation.IntervalOpType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INTERVAL_PLUS_INTERVAL

public static final IntervalOperation.IntervalOpType INTERVAL_PLUS_INTERVAL
Interval plus interval.

### INTERVAL_MINUS_INTERVAL

public static final IntervalOperation.IntervalOpType INTERVAL_MINUS_INTERVAL
Interval minus interval.

### INTERVAL_DIVIDE_INTERVAL

public static final IntervalOperation.IntervalOpType INTERVAL_DIVIDE_INTERVAL
Interval divided by interval (non-standard).

### DATETIME_PLUS_INTERVAL

public static final IntervalOperation.IntervalOpType DATETIME_PLUS_INTERVAL
Date-time plus interval.

### DATETIME_MINUS_INTERVAL

public static final IntervalOperation.IntervalOpType DATETIME_MINUS_INTERVAL
Date-time minus interval.

### INTERVAL_MULTIPLY_NUMERIC

public static final IntervalOperation.IntervalOpType INTERVAL_MULTIPLY_NUMERIC
Interval multiplied by numeric.

### INTERVAL_DIVIDE_NUMERIC

public static final IntervalOperation.IntervalOpType INTERVAL_DIVIDE_NUMERIC
Interval divided by numeric.

### DATETIME_MINUS_DATETIME

public static final IntervalOperation.IntervalOpType DATETIME_MINUS_DATETIME
Date-time minus date-time.

## Method Details

### values

public static IntervalOperation.IntervalOpType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IntervalOperation.IntervalOpType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null